Bug 986673 - /usr/lib64/libpapi.so is unowned
/usr/lib64/libpapi.so is unowned
Product: Fedora
Classification: Fedora
Component: papi (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-21 09:37 EDT by Nicolas Mailhot
Modified: 2013-08-27 10:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: papi-5.2.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-27 10:38:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-07-21 09:37:31 EDT
papi creates /usr/lib64/libpapi.so but does not own it

Comment 1 William Cohen 2013-07-22 10:43:35 EDT
When papi-5.1.1-4 rpm is installed by itself the /sbin/ldconfig post is creating /usr/lib64/libpapi.so.  The papi-deve-5.1.1-4.fc20.x86_64 packages the /usr/lib64/libpapi.so
Comment 2 William Cohen 2013-07-22 12:28:35 EDT
Did some digging around this morning and found that the problem was cause by the soname being set incorrectly.  A patch has been submitted upstream for consideration:

Comment 3 William Cohen 2013-07-22 13:29:00 EDT
papi-5.1.1-6 build should address this problem.
Comment 4 William Cohen 2013-08-27 10:38:27 EDT
The fix was incorporated into the upstream papi and the current papi-5.2.0 rpm in fc20 also has the fix

Note You need to log in before you can comment on or make changes to this bug.